diff -u backuppc-3.2.0/debian/changelog backuppc-3.2.0/debian/changelog
--- backuppc-3.2.0/debian/changelog
+++ backuppc-3.2.0/debian/changelog
@@ -1,3 +1,10 @@
+backuppc (3.2.0-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Depend on libwww-perl. (Closes: #602787)
+
+ -- Adrian Friedli <adi@koalatux.ch>  Sat, 27 Nov 2010 20:41:04 +0100
+
 backuppc (3.2.0-1) unstable; urgency=low
 
   * New upstream release
diff -u backuppc-3.2.0/debian/control backuppc-3.2.0/debian/control
--- backuppc-3.2.0/debian/control
+++ backuppc-3.2.0/debian/control
@@ -8,7 +8,7 @@
 
 Package: backuppc
 Architecture: all
-Depends: ${perl:Depends}, libdigest-md5-perl, libcompress-zlib-perl, libarchive-zip-perl, tar (>> 1.13), adduser (>=3.9), dpkg (>=1.8.3), apache2 | httpd, perl-suid, ${misc:Depends}, smbclient, samba-common-bin, bzip2, default-mta | exim4 | mail-transport-agent, iputils-ping, ucf, libtime-modules-perl
+Depends: ${perl:Depends}, libdigest-md5-perl, libcompress-zlib-perl, libarchive-zip-perl, tar (>> 1.13), adduser (>=3.9), dpkg (>=1.8.3), apache2 | httpd, perl-suid, ${misc:Depends}, smbclient, samba-common-bin, bzip2, default-mta | exim4 | mail-transport-agent, iputils-ping, ucf, libtime-modules-perl, libwww-perl
 Recommends: rsync, libfile-rsyncp-perl (>= 0.68), openssh-client | ssh-client, rrdtool, libio-dirent-perl
 Suggests: w3m | www-browser, par2
 Conflicts: libfile-rsyncp-perl (<< 0.68)
only in patch2:
unchanged:
--- backuppc-3.2.0.orig/httpd/BackupPC.conf
+++ backuppc-3.2.0/httpd/BackupPC.conf
@@ -0,0 +1,33 @@
+#
+# DESCRIPTION
+#
+#   This file controls access and configuration for the BackupPC CGI
+#   interface.
+#
+# Distributed with BackupPC version 3.1.1, released 22 Dec 2008.
+
+<Directory      /usr/share/backuppc/cgi-bin >
+
+#
+# This section tells apache which machines can access the interface.
+# You can change the allow line to allow access from your local
+# network, or comment out this region to allow access from all
+# machines.
+#
+order deny,allow
+deny from all
+allow from 127.0.0.1
+
+#
+# You can change the authorization method to LDAP or another method
+# besides htaccess here if you are so inclined.
+#
+AuthType Basic
+AuthUserFile /etc/backuppc/BackupPC.users
+AuthName "BackupPC Community Edition Administrative Interface"
+require valid-user
+
+</Directory>
+
+Alias           /backuppc/image         /usr/share/backuppc/image
+ScriptAlias     /BackupPC_Admin         /usr/share/backuppc/cgi-bin/BackupPC_Admin
